* {
  padding: 0;
  margin: 0;
  font-family: Roboto, sans-serif;
  box-sizing: border-box;
}

.container {
  display: flex;
  max-height: 100vh;
  overflow: hidden;
}

.sidebar {
  background: #ffffff;
  margin: 15px;
  overflow-y: scroll;
  flex-basis: 20%;
  min-width: 120px;
  height: 100%;
}
.sidebar::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}
.preview {
  background: #f9fafd;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  overflow-y: auto;
  flex-basis: 80%;
  height: 100vh;
  row-gap: 35px;
}

.preview::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}

.layout-placeholder {
  color: #464b5b;
  display: flex;
  flex-wrap: wrap;
  font-size: 16px;
  width: auto;
  justify-content: center;
  column-gap: 10px;
}

.accordion {
  background: #e6ebff;
  border-radius: 5px;
  margin-bottom: 20px;
  padding: 15px;
}

.accordion-title {
  color: #0033ff;
  font-weight: 800;
  font-size: 18px;
  margin: 0;
}

.label {
  display: block;
  margin-bottom: 5px;
  font-size: 14px;
  font-weight: 700;
}

input {
  box-sizing: border-box;
}

.form-control {
  background-color: #ffffff;
  border: 1px solid #d6dae4;
  border-radius: 3px;
  padding: 6px 12px;
  height: 38px;
  width: 100%;
  margin-bottom: 20px;
}

label {
  font-size: 14px;
}

input[type="radio"] {
  margin: 0;
  width: 15px;
  height: 15px;
}

.radio-select {
  display: flex;
  align-items: center;
  gap: 5px;
}

.radio-group {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 20px;
}

/* _________ */
.cardholder {
  border: 1px solid #ccc;
  padding: 10px;
  margin-top: 10px;
  height: fit-content;
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-basis: 24%;
}
.description {
  width: 100%;
  height: 150px;
  overflow-y: scroll;
}
.description::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}

.socialLogo {
  width: 30px;
  height: 30px;
}

.imgholder {
  width: 100%;
  height: 250px;
}
.imgholder img {
  min-width: 100%;
  max-width: 100%;
  max-height: 100%;
  min-height: 100%;
}
.personalinfo {
  margin-bottom: 12px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}
.personalPhoto img {
  border-radius: 50%;
  width: 50px;
  height: 50px;
}

.dflex {
  display: flex;
  width: 100%;
}
.dflexbasis {
  flex-basis: 100%;
}
.jccSB {
  justify-content: space-between;
  align-items: center;
}
.jccStart {
  justify-content: start;
  align-items: center;
}
.paddingLeft1rem {
  padding-left: 1rem;
}

.card-body {
  padding: 1rem;
}

.card-title {
  font-size: 1.25rem;
  font-weight: bold;
}

.card-text {
  margin-bottom: 1rem;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 12px 0;
}

.btn button {
  font-weight: 400;
  color: #fff;
  text-align: center;
  margin: auto;
  background-color: #007bff;
  border: 1px solid #007bff;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  transition: all 0.15s ease-in-out;
}

.btn button:hover {
  background-color: #0069d9;
  border-color: #0062cc;
}

.hearticon {
  border-top: 3px solid rgb(204, 204, 204, 0.3);
  padding: 10px 0px;
  margin-top: 12px;
  width: 100%;
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 12px;
}

.themeBlack {
  background: black;
  color: white;
}
.themeWhite {
  background: white;
  color: black;
}
.invertRed {
  filter: invert(0.5) sepia(1) saturate(255) hue-rotate(0deg);
}
.invertWhite {
  filter: invert(0);
}

.invertDark {
  filter: invert(1);
}
.description {
  margin-top: 12px;
}

/* ---------mediaQ mobile */
@media all and (max-width: 767px) {
  .preview {
    background: #f9fafd;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    overflow-y: auto;
    flex-wrap: wrap;
  }

  .layout-placeholder {
    color: #464b5b;
    display: flex;
    flex-wrap: wrap;
    font-size: 14px;
    width: auto;
    flex-basis: 100%;
    justify-content: space-evenly;
    align-items: center;
    gap: 10px;
  }
  .cardholder {
    border: 1px solid #ccc;
    padding: 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 480px;
    min-width: 118px;
    word-break: keep-all;
    margin: 16px;
    flex-basis: 100%;
    font-size: 10px;
  }
}

/* ---------mediaQ tablet */
@media all and (min-width: 768px) and (max-width: 991px) {
  .preview {
    background: #f9fafd;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    overflow-y: auto;
    flex-wrap: wrap;
    /* flex-basis: auto; */
  }

  .layout-placeholder {
    color: #464b5b;
    display: flex;
    flex-wrap: wrap;
    font-size: 18px;
    width: auto;
    flex-basis: 100%;
    justify-content: space-evenly;
    align-items: center;
    gap: 50px;
  }

  .cardholder {
    border: 1px solid #ccc;
    padding: 8px;
    display: flex;
    flex-basis: 40%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: auto;
    min-width: auto;
    width: auto;
    word-break: keep-all;
    margin: 16px 2px;
    font-size: 14px;
  }

  .btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
  .btn button {
    font-weight: 400;
    color: #fff;
    text-align: center;
    margin: auto;
    background-color: #007bff;
    border: 1px solid #007bff;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: all 0.15s ease-in-out;
  }
}
@media all and (min-width: 992px) {
}
